> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Webhook

> Displays the specified webhook. The webhook must belong to the authenticated user's current workspace.



## OpenAPI

````yaml GET /api/v1/webhooks/{id}
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/webhooks/{id}:
    parameters:
      - in: path
        name: id
        description: The ID of the webhook.
        example: 01h8xyz123abc456def789ghi
        required: true
        schema:
          type: string
    get:
      tags:
        - Webhook
      summary: Show Webhook
      description: >-
        Displays the specified webhook. The webhook must belong to the
        authenticated user's current workspace.
      operationId: showWebhook
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 01kqh44bqj4p3yqj20kcx3gkfy
                    url: http://www.example.com/
                    payload:
                      data:
                        id: 0a9446d3-4070-3757-8926-67a9d2adbc0e
                        name: Example Name
                      event: user.created
                      timestamp: 2010-09-02T07:59:59+0000
                    check_https: true
                    logging_enabled: true
                    retries: 9
                    timeout: 766
                    workspace_id: 01kqh44bqce17c60kjhcw68gb0
                    created_at: '2026-05-01T06:38:01+00:00'
                    updated_at: '2026-05-01T06:38:01+00:00'
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 01kqh44bqj4p3yqj20kcx3gkfy
                      url:
                        type: string
                        example: http://www.example.com/
                      payload:
                        type: object
                        properties:
                          data:
                            type: object
                            properties:
                              id:
                                type: string
                                example: 0a9446d3-4070-3757-8926-67a9d2adbc0e
                              name:
                                type: string
                                example: My Agent
                          event:
                            type: string
                            example: user.created
                          timestamp:
                            type: string
                            example: 2010-09-02T07:59:59+0000
                      check_https:
                        type: boolean
                        example: true
                      logging_enabled:
                        type: boolean
                        example: true
                      retries:
                        type: integer
                        example: 9
                      timeout:
                        type: integer
                        example: 766
                      workspace_id:
                        type: string
                        example: 01kqh44bqce17c60kjhcw68gb0
                      created_at:
                        type: string
                        example: '2026-05-01T06:38:01+00:00'
                      updated_at:
                        type: string
                        example: '2026-05-01T06:38:01+00:00'
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````